#
VPATH = ../:../../lib/
HDR = ../../lib/

CFLAGS = -Wall -O6 -I.
TLIBS =  -lm -ltiff

GEXE = 2gif
TEXE = 2tif
PEXE = pbm2pic

GOBJS = 2gif.o

TOBJS = 2tif.o

POBJS = pbm2pic.o

all: 2gif 2tif pbm2pic

2gif:	$(GOBJS)
	$(CC) $(CFLAGS) -o $(GEXE) $(GOBJS)

2tif:	$(TOBJS)
	$(CC) $(CFLAGS) -o $(TEXE) $(TOBJS) $(TLIBS)

pbm2pic: $(POBJS)
	$(CC) $(CFLAGS) -o $(PEXE) $(POBJS)

2gif.o : ../2gif.c
2tif.o : ../2tif.c
pbm2pic.o : ../pbm2pic.c


clean:
	rm -f *.o

veryclean:
	rm -f *.o
	rm -f pbm2pic 2gif 2tif

